%{
#include <stdio.h>
#include <stdlib.h>
#include "lexer.h"
void yyerror(const char *msg);
static int i;
%}

%% 

%%

void yyerror(const char *msg) {
   printf("** Error: %s\n", msg); exit(2);
}

int main(int argc, char **argv) {
   if (argc > 1) {
      yyin = fopen(argv[1], "r");
      if (yyin == NULL){
         printf("syntax: %s filename\n", argv[0]);
      }
   }
   yyparse();
   printf("%d\n",i);
   return 0;
}
